
Foreman - Feature #5244

LDAP Authenticator with AD should use SRV query to discover authentication sources

04/19/2014 01:07 AM - Martin Jackson

Status: New   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.4.2

Bugzilla link: 1090019 Red Hat JIRA:  

Pull request:    

Description

The LDAP/AD authenticator currently (as of 1.4.2) requires that authentication be pinned to a single server.  AD itself uses a DNS

SRV mechanism (SRV query for _ldap._tcp.<domain>) to discover servers to authenticate against.  It would be beneficial for large

AD installations (with multiple servers) for Foreman to use this DNS query method.  Perhaps a checkbox in the UI, which would

disable the text entry box for the server?

History

#1 - 04/22/2014 07:38 AM - Lukas Zapletal

- Category set to Authentication

#2 - 04/22/2014 11:52 AM - Dominic Cleal

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1090019
